# <<TABLENAME>>     
# <<old_values>>  <<new_values>> -     (NEW.User)
#   
##
CREATE TABLE IF NOT EXISTS $insert_<<TABLENAME>> LIKE <<TABLENAME>>;
#
CREATE TABLE IF NOT EXISTS $delete_<<TABLENAME>>  LIKE <<TABLENAME>>;
#
DROP TRIGGER IF EXISTS <<TABLENAME>>_insert;
#
CREATE TRIGGER <<TABLENAME>>_insert AFTER INSERT on <<TABLENAME>>
FOR each row BEGIN
    INSERT INTO $insert_<<TABLENAME>> values(<<new_values>>);
END;
#
DROP TRIGGER IF EXISTS <<TABLENAME>>_delete;
#
CREATE TRIGGER <<TABLENAME>>_delete BEFORE DELETE on <<TABLENAME>>
FOR each row BEGIN
    INSERT INTO $delete_<<TABLENAME>> values(<<old_values>>);
END;
#
DROP TRIGGER IF EXISTS <<TABLENAME>>_update1;
#
DROP TRIGGER IF EXISTS <<TABLENAME>>_update2;
#
CREATE TRIGGER <<TABLENAME>>_update1 BEFORE UPDATE on <<TABLENAME>>
FOR each row BEGIN
    INSERT INTO $delete_<<TABLENAME>> values(<<old_values>>);
END;
#
CREATE TRIGGER <<TABLENAME>>_update2 AFTER UPDATE on <<TABLENAME>>
FOR each row BEGIN
    INSERT INTO $insert_<<TABLENAME>> values(<<new_values>>);
END;
#
